Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class MetaData

    java.lang.Object
      writer2latex.office.MetaData

    public class MetaData

extends java.lang.Object

This class represents the metadata of an OOo Writer document.

Field Summary
`private java.lang.String` | `sCreator`
`private java.lang.String` | `sDate`
`private java.lang.String` | `sDescription`
`private java.lang.String` | `sInitialCreator`
`private java.lang.String` | `sKeywords`
`private java.lang.String` | `sLanguage`
`private java.lang.String` | `sSubject`
`private java.lang.String` | `sTitle`

Constructor Summary
`MetaData(OfficeDocument oooDoc)` Construct a new instance from an OOo Writer document.

Method Summary
`private java.lang.String` | `getContent(org.w3c.dom.Node node)`
`java.lang.String` | `getCreator()` Get the creator of this document (may be null)
`java.lang.String` | `getDate()` Get the date of this document (may be null)
`java.lang.String` | `getDescription()` Get the description of this document (may be null)
`java.lang.String` | `getInitialCreator()` Get the initial creator of this document (may be null)
`java.lang.String` | `getKeywords()` Get the keywords of this document as a comma separated list (may be null)
`java.lang.String` | `getLanguage()` Get the language of this document (may be null)
`java.lang.String` | `getSubject()` Get the subject of this document (may be null)
`java.lang.String` | `getTitle()` Get the title of this document (may be null)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sTitle

    private java.lang.String sTitle

### sCreator

    private java.lang.String sCreator

### sInitialCreator

    private java.lang.String sInitialCreator

### sDate

    private java.lang.String sDate

### sDescription

    private java.lang.String sDescription

### sLanguage

    private java.lang.String sLanguage

### sSubject

    private java.lang.String sSubject

### sKeywords

    private java.lang.String sKeywords

Constructor Detail

### MetaData

    public MetaData(OfficeDocument oooDoc)

  Construct a new instance from an OOo Writer document.

  Parameters:
    ``oooDoc`` - is the OOo document

Method Detail

### getTitle

    public java.lang.String getTitle()

  Get the title of this document (may be null)

  Returns:
    the title of the document

### getCreator

    public java.lang.String getCreator()

  Get the creator of this document (may be null)

  Returns:
    the creator of the document (or the initial creator if none is specified)

### getInitialCreator

    public java.lang.String getInitialCreator()

  Get the initial creator of this document (may be null)

  Returns:
    the initial creator of the document

### getDate

    public java.lang.String getDate()

  Get the date of this document (may be null)

  Returns:
    the date of the document

### getDescription

    public java.lang.String getDescription()

  Get the description of this document (may be null)

  Returns:
    the description of the document

### getLanguage

    public java.lang.String getLanguage()

  Get the language of this document (may be null)

  Returns:
    the language of the document

### getSubject

    public java.lang.String getSubject()

  Get the subject of this document (may be null)

  Returns:
    the subject of the document

### getKeywords

    public java.lang.String getKeywords()

  Get the keywords of this document as a comma separated list (may be null)

  Returns:
    the keywords of the document

### getContent

    private java.lang.String getContent(org.w3c.dom.Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD